<?php
/*
Plugin Name: QRZ search widget
Version: 0.2
Plugin URI: http://ns6t.net/word/?page_id=69
Description: Provide a simple widget form to search for amateur radio call signs on QRZ.com, based on examples here on <a href="http://www.qrz.com/i/linking.html">QRZ.com</a>.
Author: Tom Epperly
Author URI: http://ns6t.net/
License: GPL2
 */

  /*  Copyright 2010,2023 Tom Epperly  (email : tepperly@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */

class QRZSearch_Widget extends WP_Widget {
  public function __construct() {
    parent::__construct('qrzsearch_widget', // base ID
       esc_html__('QRZ Callsign Search', 'text_domain'), // name
       array( 'description' => esc_html__('A widget to provide a search form to search for amateur radio callsigns on QRZ.com', 'text_domain'), ) );
  }

  public function widget( $args, $instance) {
    echo $args['before_widget'];
    echo $args['before_title'] . 'QRZ Callsign Search' . $args['after_title'];
?>    <form method="get" action="https://www.qrz.com/db/" style="display:inline" target="_blank" >
        <input type="text" name="callsign" size="8" title="Enter ham callsign here" />
        <input type="submit" value="Go" /></form>
<?php
     echo $args['after_widget'] . "\n";
  }
}

function register_qrzsearch_widget() {
   register_widget( 'QRZsearch_Widget' );
}

add_action('widgets_init', 'register_qrzsearch_widget');
?>